MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032460Open CASCADE[OCCT] OCCT:Codingpublic2021-06-24 23:002021-06-26 12:02
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032460: Coding Rules - eliminate CLang warning -Wunused-but-set-variable
DescriptionEmscripten SDK 2.0.24 generates the following warnings that should be eliminated:
---
emcc (Emscripten gcc/clang-like replacement + linker emulating GNU ld) 2.0.24 (416685fb964c14cde4be3e8a45ad26d75bac3e33)

---
shared:INFO: (Emscripten: Running sanity checks)
\occt.git\src\ProjLib\ProjLib_ComputeApproxOnPolarSurface.cxx:814:24: warning: variable 'nbK2d' set but 
not used [-Wunused-but-set-variable]
      Standard_Integer nbK2d, deg;
                       ^
1 warning generated.
\occt.git\src\MeshVS\MeshVS_NodalColorPrsBuilder.cxx:226:22: warning: variable 'aNbLinkPrimitives' set 
but not used [-Wunused-but-set-variable]
    Standard_Integer aNbLinkPrimitives = 0;
                     ^
1 warning generated.
\occt.git\src\XmlMDF\XmlMDF.cxx:168:20: warning: variable 'count' set but not used [-Wunused-but-set-variable]
  
Standard_Integer count = 0;
                   ^
1 warning generated.
\occt.git\src\Standard\Standard_MMgrOpt.cxx:530:31: warning: variable 'nPoolFreed' set but not used [-Wunused-but-set-variable]
  
Standard_Integer nPool = 0, nPoolFreed = 0;
                              ^
\occt.git\src\Standard\Standard_MMgrOpt.cxx:530:20: warning: variable 'nPool' set but not used [-Wunused-but-set-variable]
  
Standard_Integer nPool = 0, nPoolFreed = 0;
                   ^
2 warnings generated.
In file included from \occt.git\src\HLRBRep\HLRBRep_TheIntPCurvePCurveOfCInter_0.cxx:41:
In file included from \occt.git/work/occt-wasm32-make/inc\IntCurve_IntPolyPolyGen.gxx:1:
\occt.git/src/IntCurve/IntCurve_IntPolyPolyGen.gxx:239:20: warning: variable 'PosSegment' set but not 
used [-Wunused-but-set-variable]
  Standard_Integer PosSegment = 0;
                   ^
1 warning generated.
\occt.git\src\AppCont\AppCont_LeastSquare.cxx:42:23: warning: variable 'i2' set but not used [-Wunused-but-set-variable]
  
Standard_Integer j, i2;
                      ^
1 warning generated.
\occt.git\src\IntPatch\IntPatch_ImpPrmIntersection.cxx:1978:63: warning: variable 'DDV' set but not used 
[-Wunused-but-set-variable]
  Standard_Real Uc = 0., Vc = 0., Un = 0., Vn = 0., DDU = 0., DDV = 0.;
                                                              ^
1 warning generated.
\occt.git\src\BRepTest\BRepTest_BasicCommands.cxx:214:20: warning: variable 'last' set but not used [-Wunused-but-set-variable]
  
Standard_Integer last = n;
                   ^
1 warning generated.
In file included from \occt.git\src\Geom2dInt\Geom2dInt_TheIntPCurvePCurveOfGInter_0.cxx:42:
In file included from \occt.git/work/occt-wasm32-make/inc\IntCurve_IntPolyPolyGen.gxx:1:
\occt.git/src/IntCurve/IntCurve_IntPolyPolyGen.gxx:239:20: warning: variable 'PosSegment' set but not 
used [-Wunused-but-set-variable]
  Standard_Integer PosSegment = 0;
                   ^
1 warning generated.
\occt.git\src\AdvApp2Var\AdvApp2Var_SysBase.cxx:863:19: warning: parameter 'ct' set but not used [-Wunused-but-set-parameter]
             
const char *ct, 
                         ^
1 warning generated.
\occt.git\src\GeomPlate\GeomPlate_BuildPlateSurface.cxx:1538:24: warning: variable 'Npt' set but not 
used [-Wunused-but-set-variable]
      Standard_Integer Npt=0;
                       ^
\occt.git\src\GeomPlate\GeomPlate_BuildPlateSurface.cxx:2421:35: warning: variable 'SdiffDist' set but 
not used [-Wunused-but-set-variable]
      Standard_Real diffDistMax=0,SdiffDist=0;
                                  ^
\occt.git\src\GeomPlate\GeomPlate_BuildPlateSurface.cxx:2422:34: warning: variable 'SdiffAng' set but 
not used [-Wunused-but-set-variable]
      Standard_Real diffAngMax=0,SdiffAng=0;
                                 ^
3 warnings generated.
em++: warning: linker setting ignored during compilation: 'WASM' [-Wunused-command-line-argument]
em++: warning: linker setting ignored during compilation: 'MAX_WEBGL_VERSION' [-Wunused-command-line-argument]

em++: warning: linker setting ignored during compilation: 'ALLOW_MEMORY_GROWTH' [-Wunused-command-line-argument]

em++: warning: linker setting ignored during compilation: 'TOTAL_MEMORY' [-Wunused-command-line-argument]

em++: warning: EXTRA_EXPORTED_RUNTIME_METHODS is deprecated, please use EXPORTED_RUNTIME_METHODS instead 
[-Wdeprecated]
Building time: 00:14:42
Total building time: 00:15:41
Install time: 00:01:11
Total time: 00:16:53
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0102044)
git (administrator)
2021-06-24 23:09

Branch CR32460 has been created by kgv.

SHA-1: 04815acda7452ce36e6749e91a2bb367af1c8a3e


Detailed log of new commits:

Author: kgv
Date: Thu Jun 24 23:07:37 2021 +0300

    0032460: Coding Rules - eliminate CLang warning -Wunused-but-set-variable
(0102045)
git (administrator)
2021-06-24 23:47

Branch CR32460 has been updated forcibly by kgv.

SHA-1: 73dee811331a959f807c8264d295f05f441c8218
(0102046)
kgv (developer)
2021-06-25 09:54

Please raise the patch
- OCCT: branch CR32460 (rebased onto current WEEK).

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32460-master-KGV/ [^]
(0102069)
bugmaster (administrator)
2021-06-26 11:36

Combination -
OCCT branch : IR-2021-06-25
master SHA - 73dee811331a959f807c8264d295f05f441c8218
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-06-25 SHA - eca8d7ed97b918b2f5ea5d9d6e54f6ca4db4e9df
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17457.040000000452 / 17401.81000000044 [+0.32%]
Products
Total CPU difference: 11511.540000000101 / 11508.180000000091 [+0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 19236.53125 / 19191.4375 [+0.23%]
Products
Total CPU difference: 12832.328125 / 12883.6875 [-0.40%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0102095)
git (administrator)
2021-06-26 12:02

Branch CR32460 has been deleted by mnt.

SHA-1: 73dee811331a959f807c8264d295f05f441c8218

- Related Changesets
occt: master 73dee811
Timestamp: 2021-06-24 20:07:37
Author: kgv
Details ] Diff ]
0032460: Coding Rules - eliminate CLang warning -Wunused-but-set-variable

Code has been adjusted to suppress -Wunused-but-set-variable warnings.

DRAWEXE.wasm, compiler flags have been moved to linker flags
to eliminiate -Wunused-command-line-argument warnings.
mod - adm/scripts/wasm_build.bat Diff ] File ]
mod - samples/webgl/CMakeLists.txt Diff ] File ]
mod - samples/webgl/main.cpp Diff ] File ]
mod - src/AdvApp2Var/AdvApp2Var_SysBase.cxx Diff ] File ]
mod - src/AppCont/AppCont_LeastSquare.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_BasicCommands.cxx Diff ] File ]
mod - src/Draw/Draw_BasicCommands.cxx Diff ] File ]
mod - src/DRAWEXE/CMakeLists.txt Diff ] File ]
mod - src/GeomPlate/GeomPlate_BuildPlateSurface.cxx Diff ] File ]
mod - src/IntCurve/IntCurve_IntPolyPolyGen.gxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpPrmIntersection.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_NodalColorPrsBuilder.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApproxOnPolarSurface.cxx Diff ] File ]
mod - src/Standard/Standard_MMgrOpt.cxx Diff ] File ]
mod - src/XmlMDF/XmlMDF.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-06-24 23:00 kgv New Issue
2021-06-24 23:00 kgv Assigned To => kgv
2021-06-24 23:09 git Note Added: 0102044
2021-06-24 23:47 git Note Added: 0102045
2021-06-25 09:54 kgv Note Added: 0102046
2021-06-25 09:54 kgv Assigned To kgv => bugmaster
2021-06-25 09:54 kgv Status new => resolved
2021-06-25 09:54 kgv Status resolved => reviewed
2021-06-26 11:36 bugmaster Note Added: 0102069
2021-06-26 11:36 bugmaster Status reviewed => tested
2021-06-26 11:58 kgv Changeset attached => occt master 73dee811
2021-06-26 11:58 kgv Assigned To bugmaster => kgv
2021-06-26 11:58 kgv Status tested => verified
2021-06-26 11:58 kgv Resolution open => fixed
2021-06-26 12:02 git Note Added: 0102095


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker